KDED4(8)

NAME
kded4 - Démon KDE - déclenche les mises à jour de la base de données Sycoca lorsque nécessaire.

SYNOPSIS

kded4 [--help] [Options Génériques] [Options Qt] [Options KDE] [--check]

DESCRIPTION

kded4 est responsable de la création du fichier sycoca, c'est à dire le cache binaire des services, types de services et types mime d'un utilisateur donné.

Il surveille les dossiers contenant des fichiers .desktop. Lorsqu'un fichier est ajouté/supprimé, il attend 5 secondes (en cas de mise à jour en série), puis lance kbuildsycoca4 pour mettre à jour le sycoca.

Il vérifie les fichiers de mise à jour nouvellement installés, c'est à dire les fichiers *.upd utilisés pour mettre à jour les fichiers de configuration des utilisateurs lorsque les formats de fichiers de configuration changent. kconf_update est lancé pour effectuer les mises à jour.

Lorsque le nom d'hôte change, il fera les changements nécessaires à l'environnement KDE et au serveur X pour permettre que les opérations continuent correctement, en lançant kdontchangethehostname pour effectuer ces changements.

Ces tâches sont aussi effectuées lorsque kded4 démarre afin d'être sûr que la configuration utilisateur est à jour.

Il est aussi responsable du lancement des modules kded4 à la demande et activés par init comme :

Préchargeur du Navigateur Konqueror
    Réduit le temps de démarrage de Konqueror.

Surveillance de Répertoires
    Surveille les changements dans les répertoires.

Détection Matérielle
    Interface utilisateur pour les évènements matériels.

Politique de Certificats SSL
    Fournit une politique de certificats SSL configurés par l'utilisateurs aux applications.

Configuration de Proxy Réseau
    Configuration de proxy automatique.

Cache de mots de passe
    Cache temporaire de mots de passe, par exemple : afin qu'une page avec une authentification HTTP ne vous demande pas votre mot de passe pour chaque lien et chaque image de la page. Ces mots de passe sont oubliés lorsque KDE est quitté (à la différence de KWallet)

Politique de Sons
    Fournit une politique système pour les sons aux applications.

Favicons
    Stocke les icônes des sites web.

Gestion de l'Affichage
    Gère l'affichage et les sorties vidéo.

Boîte à Cookies
    Stocke les cookies réseau.

Surveillance de Réseau
    Surveille le réseau et met à jour les listes de répertoires de l'esclave KIO network:/.

Module Subversion
    Fournit diverses actions subversion au gestionnaire de fichiers et à d'autres logiciels.

Status Réseau
    Enregistre le status des interface réseau et fournit des notifications aux applications utilisant le réseau.

Démon Write
    Surveille les messages des utilisateurs locaux envoyés avec write(1) ou wall(1).

Surveillance de la zone de notification
    Surveille les applications qui souhaitent utiliser la zone de notification basée sur D-Bus.

KMixD
    Service de Mixage KMixD

Démon barre de système
    Enregistre les applications qui souhaitent utiliser la barre système basée sur D-Bus.

Démon Clavier
    Enregistre les changements de claviers (nouveau clavier, changement d'agencement)

Notificateur de Changement d'URL à Distance
    Fournit les notifications de changements de dossiers réseau

Gestionnaire d'Activité
    Le coeur du gestionnaire d'activités Nepomuk

Moniteur de changements du Gestionnaire d'Affichage
    Notifie lorsque l'affichage a subi une rotation (si disponible)

Notificateur d'Espace Libre
    Avertit lorsque l'espace du dossier personnel est limité.

Auto-Monteur de Périphériques Amovibles
    Monte automatiquement les périphériques lorsque nécessaire.

Module de Recherche Nepomuk
    Module d'aide à KIO pour s'assurer des mises à jour automatique des indices de recherche Nepomuk.

Gestionnaire d'Alimentation
    Gestion et notification de la batterie, de l'affichage et de la puissance CPU.

Démon de K Remote Control
    Gère les Commandes de Contrôle à Distance reçues.

Gestionnaire de Notifications de Statuts
    Gère le service qui fournit les interfaces utilisateur de notifications de statuts.

Moniteur de Découverte de Services DNS-SD
    Surveille le réseau pour les services DNS-SD.

Ejecteur de Disques
    Démonte et relâche les disques automatiquement lorsque leur bouton éjecter est pressé.

Fuseau horaire
    Fournit un accès aux fuseaux horaires du système pour les applications.

Actions de Saisie
    Service d'Actions de Saisie permettant de configurer des actions lors de saisies clavier.

Les modules init peuvent être activés/désactivés en utilisant systemsettings, dans Configuration du Système > Démarrage et Arrêt > Gestionnaire de Services.

OPTIONS GéNéRIQUES

--author
    Affiche des informations sur l'auteur.

--help
    Affiche l'aide à propos des options.

--help-all
    Affiche toutes les options.

--help-kde
    Affiche les options spécifiques à KDE.

--help-qt
    Affiche les options spécifiques à Qt.

--license
    Affiche des informations sur la licence.

-v --version
    Affiche des informations sur la version

OPTIONS DE LAPPLICATION

--check
    Ne vérifie la base de données Sycoca qu'une seule fois.

UTILISATION

Si kded4 est appelée sans paramètres et fonctionne déjà, il affiche le message :

    KDE Daemon (kded) already running.

Si kded4 est appelé avec kded4 --check, il met alors à jour le sycoca KDE en utilisant kbuildsycoca4.

VOIR AUSSI

kdeoptions(7), qtoptions(7), kbuildsycoca4(8)

BOGUES

Il y a probablement un tas de bogues. Utilisez bugs.kde.org[1] pour signaler les signaler.

AUTHORS

David Faure <faure@kde.org>
    Author.

Waldo Bastian <bastian@kde.org>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org